SchoolScout API
Vendors

Search vendors

Search the vendor/edtech product database. **Free (0 credits).**

GET
/vendors

Search the vendor/edtech product database. Free (0 credits).

AuthorizationBearer <token>

API key (sk_live_... prefix). Generate keys in the UI under Settings > API Keys, then send it as Authorization: Bearer sk_live_...

In: header

Query Parameters

search?string

Text search on vendor name or aliases

category?string

Vendor category: sis, lms, assessment, communication, hr, finance, security, sso, devices, other

is_verified?string

Only verified vendors

ids?string

Comma-separated vendor UUIDs

limit?integer
Default50
Rangevalue <= 200
offset?integer
Default0

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/vendors"
{
  "data": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "canonical_name": "string",
      "website": "string",
      "description": "string",
      "logo_url": "string",
      "category": "sis",
      "aliases": [
        "string"
      ],
      "is_verified": true,
      "verified_at": "string",
      "merged_into_id": "550e8400-e29b-41d4-a716-446655440000",
      "created_at": "string"
    }
  ],
  "pagination": {
    "total": -9007199254740991,
    "limit": -9007199254740991,
    "offset": -9007199254740991,
    "has_more": true
  }
}
{
  "error": "string",
  "message": "string",
  "statusCode": -9007199254740991
}